<?xml version="1.0" encoding="utf-8" ?>
<c2eventsheet>
    <!--All the 'name' attributes are ignored by Construct 2 - they are there for readability only.-->
    <name>menu es</name>
    <events>
        <include>audio es</include>
        <event-group description="" sid="461861693827548" title="Menu">
            <sub-events>
                <variable constant="1" name="titleVOTag" sid="645586229128564" static="0" type="text">title</variable>
                <variable constant="1" name="introVOTag" sid="120392088959508" static="0" type="text">introduce</variable>
                <variable comment="0--init, 1--introduce, 2--choose egg" constant="0" name="menuState" sid="285722482542940" static="1" type="number">0</variable>
                <event-block sid="155326792196443">
                    <conditions>
                        <condition id="-2" name="On start of layout" sid="215303574175997" type="System" />
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="818243335989251">
                            <conditions />
                            <actions>
                                <action id="-9" name="Set value" sid="454001910953281" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Value">0</param>
                                </action>
                                <action id="6" name="Stop" sid="714512356953461" type="Audio">
                                    <param id="0" name="Tag">&quot;endingVO&quot;</param>
                                </action>
                                <action id="6" name="Stop" sid="553911893852671" type="Audio">
                                    <param id="0" name="Tag">&quot;endingSFX&quot;</param>
                                </action>
                                <action id="0" name="Call function" sid="672031329711884" type="Function">
                                    <param id="0" name="Name">&quot;playTitleVO&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                                <action id="0" name="Call function" sid="514228779967752" type="Function">
                                    <param id="0" name="Name">&quot;hideIntroduce&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                                <action behavior="MouseEvent" id="0" name="Set enabled" sid="199548326213426" type="btnClose">
                                    <param id="0" name="State">1</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="223933499067562">
                    <conditions>
                        <condition id="0" name="On function" sid="585684080594936" type="Function">
                            <param id="0" name="Name">&quot;playTitleVO&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="611209564964351">
                            <conditions />
                            <actions>
                                <action id="6" name="Stop" sid="553232313331679" type="Audio">
                                    <param id="0" name="Tag">TITLEVOTAG</param>
                                </action>
                                <action id="7" name="Play (by name)" sid="945306708747499" type="Audio">
                                    <param id="0" name="Folder">0</param>
                                    <param id="1" name="Audio file name">&quot;title&quot;</param>
                                    <param id="3" name="Loop">0</param>
                                    <param id="4" name="Volume">0</param>
                                    <param id="2" name="Tag (optional)">TITLEVOTAG</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="272515725408158">
                    <conditions>
                        <condition id="0" name="On function" sid="863055302566427" type="Function">
                            <param id="0" name="Name">&quot;playIntroVO&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="915004119599777">
                            <conditions />
                            <actions>
                                <action id="6" name="Stop" sid="262680567206375" type="Audio">
                                    <param id="0" name="Tag">INTROVOTAG</param>
                                </action>
                                <action id="7" name="Play (by name)" sid="511657847863275" type="Audio">
                                    <param id="0" name="Folder">0</param>
                                    <param id="1" name="Audio file name">&quot;introduce&quot;</param>
                                    <param id="3" name="Loop">0</param>
                                    <param id="4" name="Volume">0</param>
                                    <param id="2" name="Tag (optional)">INTROVOTAG</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="297983356484316">
                    <conditions>
                        <condition id="0" name="On function" sid="853188906607384" type="Function">
                            <param id="0" name="Name">&quot;showIntroduce&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="922286782020994">
                            <conditions />
                            <actions>
                                <action id="-15" name="Set visible" sid="920439714253046" type="blur2">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                                <action id="-15" name="Set visible" sid="936970868833541" type="spIntro">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                                <action id="-15" name="Set visible" sid="119007535117073" type="spIntroTxt">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                                <action id="-15" name="Set visible" sid="909317772189171" type="spIntroImg">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                                <action id="-15" name="Set visible" sid="156694713015506" type="btnEar">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                                <action id="-15" name="Set visible" sid="834199635680776" type="btnPlay">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                                <action id="-15" name="Set visible" sid="747124094941657" type="btnHomeInMenu">
                                    <param id="0" name="Visibility">1</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="497775329925842">
                            <conditions />
                            <actions>
                                <action id="6" name="Stop" sid="850680895206839" type="Audio">
                                    <param id="0" name="Tag">TITLEVOTAG</param>
                                </action>
                                <action id="0" name="Call function" sid="430223039121013" type="Function">
                                    <param id="0" name="Name">&quot;playIntroVO&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="652445394760740">
                    <conditions>
                        <condition id="0" name="On function" sid="656863110412188" type="Function">
                            <param id="0" name="Name">&quot;hideIntroduce&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <event-block sid="852338756317039">
                            <conditions />
                            <actions>
                                <action id="-15" name="Set visible" sid="322961369056543" type="blur2">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                                <action id="-15" name="Set visible" sid="473210591337128" type="spIntro">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                                <action id="-15" name="Set visible" sid="839267881675800" type="spIntroTxt">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                                <action id="-15" name="Set visible" sid="244565932688213" type="spIntroImg">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                                <action id="-15" name="Set visible" sid="351492204296133" type="btnEar">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                                <action id="-15" name="Set visible" sid="387077925543055" type="btnPlay">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                                <action id="-15" name="Set visible" sid="554238763101470" type="btnHomeInMenu">
                                    <param id="0" name="Visibility">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="863397009972723">
                            <conditions />
                            <actions>
                                <action id="6" name="Stop" sid="956705059070776" type="Audio">
                                    <param id="0" name="Tag">INTROVOTAG</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-group description="" sid="789690986912067" title="MenuMouseEvent">
                    <sub-events>
                        <comment>close button </comment>
                        <event-block sid="545361386127435">
                            <conditions>
                                <condition behavior="MouseEvent" id="0" name="On Mouse Over" sid="409194051759616" type="btnClose" />
                                <condition id="-14" name="Compare variable" sid="617570221556129" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="467511915562006" type="Mouse">
                                    <param id="0" name="Cursor style">1</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="889649106589338">
                            <conditions>
                                <condition behavior="MouseEvent" id="1" name="On Mouse Leave" sid="971655600684116" type="btnClose" />
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="332821132178660" type="Mouse">
                                    <param id="0" name="Cursor style">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="156241876561844">
                            <conditions>
                                <condition behavior="MouseEvent" id="2" name="On Mouse Down" sid="732876367183847" type="btnClose" />
                                <condition id="-14" name="Compare variable" sid="461710820197167" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="14" name="Log" sid="560612315093078" type="Browser">
                                    <param id="0" name="Type">0</param>
                                    <param id="1" name="Message">&quot; you clicked close button &quot;</param>
                                </action>
                                <action id="1" name="Close" sid="945102526842894" type="Browser" />
                            </actions>
                        </event-block>
                        <comment>start button </comment>
                        <event-block sid="109075550038702">
                            <conditions>
                                <condition behavior="MouseEvent" id="0" name="On Mouse Over" sid="970248586186763" type="btnStart" />
                                <condition id="-14" name="Compare variable" sid="478936204651877" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="850866255649979" type="Mouse">
                                    <param id="0" name="Cursor style">1</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="682545610100066">
                            <conditions>
                                <condition behavior="MouseEvent" id="1" name="On Mouse Leave" sid="228052285118408" type="btnStart" />
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="386980134988839" type="Mouse">
                                    <param id="0" name="Cursor style">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="270782890496711">
                            <conditions>
                                <condition behavior="MouseEvent" id="2" name="On Mouse Down" sid="501783704609637" type="btnStart" />
                                <condition id="-14" name="Compare variable" sid="400985493975037" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">0</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="999865873614493" type="Mouse">
                                    <param id="0" name="Cursor style">0</param>
                                </action>
                                <action id="6" name="Stop" sid="898020224903341" type="Audio">
                                    <param id="0" name="Tag">TITLEVOTAG</param>
                                </action>
                                <action id="-9" name="Set value" sid="111807091788883" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Value">1</param>
                                </action>
                                <action behavior="MouseEvent" id="0" name="Set enabled" sid="452887821348426" type="btnClose">
                                    <param id="0" name="State">0</param>
                                </action>
                                <action id="0" name="Call function" sid="755085123238934" type="Function">
                                    <param id="0" name="Name">&quot;showIntroduce&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                        <comment>home button </comment>
                        <event-block sid="843839774249867">
                            <conditions>
                                <condition behavior="MouseEvent" id="1" name="On Mouse Leave" sid="691439223018641" type="btnHomeInMenu" />
                                <condition id="-14" name="Compare variable" sid="442352270267240" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="624998332308396" type="Mouse">
                                    <param id="0" name="Cursor style">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="674511416000882">
                            <conditions>
                                <condition behavior="MouseEvent" id="0" name="On Mouse Over" sid="401242954233118" type="btnHomeInMenu" />
                                <condition id="-14" name="Compare variable" sid="804177679267391" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="305245468520531" type="Mouse">
                                    <param id="0" name="Cursor style">1</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="607345693506445">
                            <conditions>
                                <condition behavior="MouseEvent" id="2" name="On Mouse Down" sid="904334184102913" type="btnHomeInMenu" />
                                <condition id="-14" name="Compare variable" sid="725601515084345" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action behavior="MouseEvent" id="0" name="Set enabled" sid="522726920824224" type="btnClose">
                                    <param id="0" name="State">1</param>
                                </action>
                                <action id="0" name="Set cursor style" sid="504933729446507" type="Mouse">
                                    <param id="0" name="Cursor style">0</param>
                                </action>
                                <action id="6" name="Stop" sid="462177919034504" type="Audio">
                                    <param id="0" name="Tag">INTROVOTAG</param>
                                </action>
                                <action id="-9" name="Set value" sid="969964596588962" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Value">0</param>
                                </action>
                                <action id="0" name="Call function" sid="227518884606270" type="Function">
                                    <param id="0" name="Name">&quot;hideIntroduce&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                        <comment>instruction button </comment>
                        <event-block sid="632757486124459">
                            <conditions>
                                <condition behavior="MouseEvent" id="1" name="On Mouse Leave" sid="749372749984605" type="btnEar" />
                                <condition id="-14" name="Compare variable" sid="848692766903900" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                                <condition id="-9" name="Is visible" sid="167143640183390" type="btnEar" />
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="631247229778769" type="Mouse">
                                    <param id="0" name="Cursor style">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="334555632318209">
                            <conditions>
                                <condition behavior="MouseEvent" id="0" name="On Mouse Over" sid="696394198463340" type="btnEar" />
                                <condition id="-14" name="Compare variable" sid="735699510182277" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                                <condition id="-9" name="Is visible" sid="385303843464720" type="btnEar" />
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="235354838019631" type="Mouse">
                                    <param id="0" name="Cursor style">1</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="699406493870349">
                            <conditions>
                                <condition behavior="MouseEvent" id="2" name="On Mouse Down" sid="409439372324055" type="btnEar" />
                                <condition id="-14" name="Compare variable" sid="174656458264939" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                                <condition id="-9" name="Is visible" sid="339218155347585" type="btnEar" />
                            </conditions>
                            <actions>
                                <action id="0" name="Call function" sid="469757785760270" type="Function">
                                    <param id="0" name="Name">&quot;playIntroVO&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                        <comment>play button </comment>
                        <event-block sid="106849367612728">
                            <conditions>
                                <condition behavior="MouseEvent" id="1" name="On Mouse Leave" sid="605217471931134" type="btnPlay" />
                                <condition id="-14" name="Compare variable" sid="491110305052469" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                                <condition id="-9" name="Is visible" sid="879476221074599" type="btnPlay" />
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="233277658288526" type="Mouse">
                                    <param id="0" name="Cursor style">0</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="109675012664817">
                            <conditions>
                                <condition behavior="MouseEvent" id="0" name="On Mouse Over" sid="550809272174741" type="btnPlay" />
                                <condition id="-14" name="Compare variable" sid="228256903917744" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                                <condition id="-9" name="Is visible" sid="989255147957951" type="btnPlay" />
                            </conditions>
                            <actions>
                                <action id="0" name="Set cursor style" sid="397515111780981" type="Mouse">
                                    <param id="0" name="Cursor style">1</param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="942705937524056">
                            <conditions>
                                <condition behavior="MouseEvent" id="2" name="On Mouse Down" sid="770384352466810" type="btnPlay" />
                                <condition id="-9" name="Is visible" sid="992233550371053" type="btnPlay" />
                                <condition id="-14" name="Compare variable" sid="556938800148219" type="System">
                                    <param id="0" name="Variable">menuState</param>
                                    <param id="1" name="Comparison">0</param>
                                    <param id="2" name="Value">1</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="6" name="Stop" sid="701530894730596" type="Audio">
                                    <param id="0" name="Tag">INTROVOTAG</param>
                                </action>
                                <action id="-43" name="Go to next/previous layout" sid="311643350219253" type="System">
                                    <param id="0" name="Which">0</param>
                                </action>
                                <action id="0" name="Set cursor style" sid="359467275997880" type="Mouse">
                                    <param id="0" name="Cursor style">0</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-group>
            </sub-events>
        </event-group>
    </events>
</c2eventsheet>
